Subject: Re: bug#52042: 29.0.50; [feature/pgtk] issue in moving a fullscreen emacs frame from a scale@1x display to a scale@2x display

From: Fred Fu <[email-masked]>
Date: Tue, 30 Nov 2021 11:10:37 -0500

Hi Yuuki,

The stretching issue seems a Gnome/Mutter issue, because other GTK
applications have the same problem.
But that the text becomes blurry only happens to the pgtk port.

On Tue, Nov 30, 2021 at 10:59 AM Yuuki Harano <[email-masked]> wrote:
>
>
> On Mon, 22 Nov 2021 12:43:57 -0500,
>         Fred Fu <[email-masked]> wrote:
> > Here are the minimal steps to reproduce with emacs -Q:
> >
> > 1. move the frame to the right display (using super+shift+right)
> >
> > 2. make the emacs frame fullscreen (using super+up). See the attached
> > image file named "start".
> >
> > 3. move it to the middle display (using super+shift+left). The frame
> > gets stretched over the two displays. See the attached image file
> > named "stretched".
> >
> > 4. move it to the middle display again (using super+shift+left). The
> > frame now looks right on the middle display. See the attached image
> > file named "end".
>
> Thanks for the steps to reproduce.
> But I don't have 3 monitors, so I can't reproduce it.

I don't think three monitors are needed. Two monitors, one scaled@2x
and one @1x, should be enough to reproduce the issue.

That said, I'd love to help debug this issue on my end, but I don't
know what to start with. Any ideas?

> --
> Yuuki Harano

-- 
Best regards
F